---
title: dots.v2.harnessRuntime.templates.byTemplate_id().delete()
description: DeleteTemplate deletes a team custom template.
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/harness-runtime/harness-delete-template/
last_updated: "2026-11-18"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.harnessRuntime.templates.byTemplate_id().delete()

Generated on 18 Nov 2026 from DoTs version [`v1.25.0`](https://github.com/digitalocean/dots/releases/tag/v1.25.0)

## Usage

```typescript
client.v2.harnessRuntime.templates.byTemplate_id(template_id).delete(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Delete_template_response>
```

## Description

Global templates cannot be deleted via this API.

## Parameters

`template_id` string required

Example: `11111111-2222-3333-4444-555555555555`

The template UUID.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.harnessRuntime.templates
    .byTemplate_id("11111111-2222-3333-4444-555555555555").delete();
```

## Response Example

## Show Response Example

```json
{
  "template_id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}
```

## More Information

See [`/v2/harness-runtime/templates/{template_id}`](https://docs.digitalocean.com/reference/api/reference/harness-runtime/index.html.md#harness_delete_template) in the API reference for additional detail on responses, headers, parameters, and more.